Page MenuHomePhabricator

Aborted large file upload will sometimes be re-uploaded silently twice
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Pick a large file to upload (9-10MB seems to do the trick)
  2. Remove the file ASAP, before it's done uploading
  3. The console will output "Retry #1 on error event"
  4. Subsequently the upload will be silently retried twice. It shouldn't retry at all, since we've consciously removed the file.

Note that it doesn't seem to happen every time, it seems to be subject to a race condition, but it's easy enough to reproduce locally on Firefox if you try a few times.

Details

Related Gerrit Patches:
mediawiki/extensions/UploadWizard : masterGate a bunch of state changes for aborted files

Event Timeline

Gilles created this task.Dec 4 2014, 8:27 AM
Gilles assigned this task to MarkTraceur.
Gilles raised the priority of this task from to Medium.
Gilles updated the task description. (Show Details)
Gilles added projects: UploadWizard, Multimedia.
Gilles changed Security from none to None.
Gilles moved this task from Untriaged to Next up on the Multimedia board.
Gilles added a subscriber: Gilles.

Change 178906 had a related patch set uploaded (by MarkTraceur):
Gate a bunch of state changes for aborted files

https://gerrit.wikimedia.org/r/178906

Patch-For-Review

Change 178906 merged by jenkins-bot:
Gate a bunch of state changes for aborted files

https://gerrit.wikimedia.org/r/178906

Gilles moved this task from Ready for testing to Doing on the Multimedia board.Dec 15 2014, 8:33 AM
Gilles closed this task as Resolved.Dec 18 2014, 8:49 AM
Gilles moved this task from Doing to Done on the Multimedia board.